Debian Bug report logs - #604346
Preparations for the removal of the KDE3 and Qt3 libraries

version graph

Package: src:dares; Maintainer for src:dares is TANIGUCHI Takaki <takaki@debian.org>;

Reported by: Eckhart Wörner <ewoerner@kde.org>

Date: Sun, 21 Nov 2010 19:30:08 UTC

Severity: important

Tags: sid, wheezy

Fixed in version dares/0.6.5-7

Done: TANIGUCHI Takaki <takaki@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to TANIGUCHI Takaki <takaki@debian.org>:
Bug#604346; Package src:dares. (Sun, 21 Nov 2010 19:30:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Eckhart Wörner <ewoerner@kde.org>:
New Bug report received and forwarded. Copy sent to TANIGUCHI Takaki <takaki@debian.org>. (Sun, 21 Nov 2010 19:30:10 GMT) Full text and rfc822 format available.

Message #5 received at maintonly@bugs.debian.org (full text, mbox):

From: Eckhart Wörner <ewoerner@kde.org>
To: maintonly@bugs.debian.org
Subject: Preparations for the removal of the KDE3 and Qt3 libraries
Date: Sun, 21 Nov 2010 20:27:38 +0100
Source: dares
Severity: wishlist
User: debian-qt-kde@lists.debian.org
Usertags: qt3libs-removal


Dear maintainer,

The Debian Qt/KDE team is planning to remove the KDE3 and Qt3 libraries from 
Debian shortly after the Squeeze release. The transition phase to KDE4 and Qt4 
will finish since both KDE and Nokia upstream don't maintain the old versions 
of those libraries anymore.

In order to make this move, all packages directly or indirectly depending on 
the KDE3/Qt3 libraries have to either get ported to KDE4/Qt4 or eventually get 
removed from the Debian repositories.

Therefore, please take the time and:
- contact your upstream (if existing) and ask about the state of a KDE4/Qt4 
port of your application
- if there are no activities regarding porting, investigate whether there are 
suitable alternatives for your users
- if there is a KDE4/Qt4 port that is not yet packaged, consider packaging it
- if both the KDE3/Qt3 and the KDE4/Qt4 version already coexist in the Debian 
archives, consider removing the KDE3/Qt3 version

Documentation on how to port to KDE4 can be found at:
http://techbase.kde.org/index.php?title=Development/Tutorials/KDE4_Porting_Guide

Documentation on how to port to Qt4 can be found at:
http://doc.qt.nokia.com/4.7/porting4.html

For any questions and issues, do not hesitate to contact the Debian Qt/KDE 
team at debian-qt-kde@lists.debian.org

Eckhart




Severity set to 'serious' from 'wishlist' Request was from Eckhart Wörner <ewoerner@kde.org> to control@bugs.debian.org. (Tue, 08 Feb 2011 11:27:56 GMT) Full text and rfc822 format available.

Added tag(s) sid and wheezy. Request was from Kurt Roeckx <kurt@roeckx.be> to control@bugs.debian.org. (Thu, 10 Feb 2011 19:33:56 GMT) Full text and rfc822 format available.

Severity set to 'important' from 'serious' Request was from Lisandro Damián Nicanor Pérez Meyer <perezmeyer@gmail.com> to control@bugs.debian.org. (Sat, 26 Feb 2011 18:36:10 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, TANIGUCHI Takaki <takaki@debian.org>:
Bug#604346; Package src:dares. (Fri, 18 May 2012 18:39:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ana Guerrero <ana@debian.org>:
Extra info received and forwarded to list. Copy sent to TANIGUCHI Takaki <takaki@debian.org>. (Fri, 18 May 2012 18:39:02 GMT) Full text and rfc822 format available.

Message #16 received at 604346@bugs.debian.org (full text, mbox):

From: Ana Guerrero <ana@debian.org>
To: 604346@bugs.debian.org
Subject: Re: Bug#604346: Preparations for the removal of the KDE3 and Qt3 libraries
Date: Fri, 18 May 2012 20:35:22 +0200
On Sun, Nov 21, 2010 at 08:27:38PM +0100, Eckhart Wörner wrote:
> Source: dares
> Severity: wishlist
> User: debian-qt-kde@lists.debian.org
> Usertags: qt3libs-removal
> 
> 
> Dear maintainer,
> 
> The Debian Qt/KDE team is planning to remove the KDE3 and Qt3 libraries from 
> Debian shortly after the Squeeze release. The transition phase to KDE4 and Qt4 
> will finish since both KDE and Nokia upstream don't maintain the old versions 
> of those libraries anymore.
> 
> In order to make this move, all packages directly or indirectly depending on 
> the KDE3/Qt3 libraries have to either get ported to KDE4/Qt4 or eventually get 
> removed from the Debian repositories.
> 
> Therefore, please take the time and:
> - contact your upstream (if existing) and ask about the state of a KDE4/Qt4 
> port of your application
> - if there are no activities regarding porting, investigate whether there are 
> suitable alternatives for your users
> - if there is a KDE4/Qt4 port that is not yet packaged, consider packaging it
> - if both the KDE3/Qt3 and the KDE4/Qt4 version already coexist in the Debian 
> archives, consider removing the KDE3/Qt3 version
> 
> Documentation on how to port to KDE4 can be found at:
> http://techbase.kde.org/index.php?title=Development/Tutorials/KDE4_Porting_Guide
> 
> Documentation on how to port to Qt4 can be found at:
> http://doc.qt.nokia.com/4.7/porting4.html
>

Hello maintainers,

One year and a half later, it is about time to remove Qt3.
In the case of dares, could you please drop from your binaries the tools
using Qt3 (dares-gui)?

Thanks,
Ana





Reply sent to TANIGUCHI Takaki <takaki@debian.org>:
You have taken responsibility. (Sat, 19 May 2012 04:33:03 GMT) Full text and rfc822 format available.

Notification sent to Eckhart Wörner <ewoerner@kde.org>:
Bug acknowledged by developer. (Sat, 19 May 2012 04:33:03 GMT) Full text and rfc822 format available.

Message #21 received at 604346-close@bugs.debian.org (full text, mbox):

From: TANIGUCHI Takaki <takaki@debian.org>
To: 604346-close@bugs.debian.org
Subject: Bug#604346: fixed in dares 0.6.5-7
Date: Sat, 19 May 2012 04:32:10 +0000
Source: dares
Source-Version: 0.6.5-7

We believe that the bug you reported is fixed in the latest version of
dares, which is due to be installed in the Debian FTP archive:

dares_0.6.5-7.debian.tar.gz
  to main/d/dares/dares_0.6.5-7.debian.tar.gz
dares_0.6.5-7.dsc
  to main/d/dares/dares_0.6.5-7.dsc
dares_0.6.5-7_amd64.deb
  to main/d/dares/dares_0.6.5-7_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 604346@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
TANIGUCHI Takaki <takaki@debian.org> (supplier of updated dares package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Sat, 19 May 2012 13:17:09 +0900
Source: dares
Binary: dares
Architecture: source amd64
Version: 0.6.5-7
Distribution: unstable
Urgency: low
Maintainer: TANIGUCHI Takaki <takaki@debian.org>
Changed-By: TANIGUCHI Takaki <takaki@debian.org>
Description: 
 dares      - rescue files from damaged CDs and DVDs (ncurses-interface)
Closes: 604346
Changes: 
 dares (0.6.5-7) unstable; urgency=low
 .
   * Bump Standards-Version to 3.9.3.
   * debian/control: Add Vcs-*
   * Drop support qt3-gui (Closes: #604346)
Checksums-Sha1: 
 8e44e0cd931353fcd7f1827a360a0c820688691b 1796 dares_0.6.5-7.dsc
 3b31eadaaee01aa0c1452712c4d0c15e15a96144 4208 dares_0.6.5-7.debian.tar.gz
 08637baaa612bb32fc5bd0c8f6fcb22fa350b021 25092 dares_0.6.5-7_amd64.deb
Checksums-Sha256: 
 b7cb4b89ed15ea24df79dca41ff2aff435ea85a61b23b4fb5d450dc70dfbf3c3 1796 dares_0.6.5-7.dsc
 d03ecd4a28ce270492511b35f9f151d9ab1177cea26dfbf50266fa2dd437fb29 4208 dares_0.6.5-7.debian.tar.gz
 ca4605579bc2fa9f031a1b8107a797bad4bcfbf92b68407c844c7270ca53223a 25092 dares_0.6.5-7_amd64.deb
Files: 
 3071f8d9c48ad7591bdedf83f4534e3e 1796 utils optional dares_0.6.5-7.dsc
 56520a3a8f620f02112f7567809094b6 4208 utils optional dares_0.6.5-7.debian.tar.gz
 df478ac635a6157eae0fdf8e077cd036 25092 utils optional dares_0.6.5-7_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJPtx75AAoJEMwUn2wopeJX9zAP/it+sO125HqBuqC1lskz3jYx
RSt+3BPC6DLdNg2tICOBVrIsvS8xI/qXxG3u0tYsJRcwC6JH+Nc3DHu/boLp1e+F
u7ygW44XYrw6ZzR45NeWNJBpOKj5YRQGpOO8VnRn5fGwNFKjdm/nnNlEJWDMdSN2
+NmHa5EvNSjRltwiJgcfbA1DzbVVQVI5lT2qO+aX0m2WsAARC8bwUhSxeDJDWaOg
Ca+TQviCVBBk4Hh/kK7N/2Z9wRtjd6snAhXOSvDGE6Iy2hGJXNg4r4e07DZWFVgc
uM8cfaAuZ+SMyutqh/B8uMOrAlwieetGZ3F2gaH1mIei+2d0gB+2pp1Gs/SDk2rl
ZqltyhWImU8lAo1pG226+xUVwYOR4l5jEH7TTExuRXHqkZ02DjNtpOO2rcUSNqjT
S11xiEVcTavDhJAMq0nYLs69nrbEQyUoPL3bouaGGIqwLUEMxg/OZlNUnlawUllX
pG0TW2G1YUlpytSdn34EYydZ4+OEMycw5QlXpvM4foB/KkRJ23LTUqIVgUa2b+64
/xCfIpIDkQfO1Y84/BEAeMdlGq5NRAVV3If+o6IzVnqAhT1LOWKKLw+I4xvggPEi
UorVi+V97xXTJajL5nI+mtjEkLE9Vb3yiVJNkBWUCMMzI7i9ZkCZQ8Hp8w4vJdf2
/g0Dcs6zLxrl8AqnBrG6
=47j6
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 26 Jun 2012 07:39:31 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 20:43:11 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.